aboutsummaryrefslogtreecommitdiff
path: root/paludis/repositories/e/ebuild
diff options
context:
space:
mode:
Diffstat (limited to 'paludis/repositories/e/ebuild')
-rw-r--r--paludis/repositories/e/ebuild/0/builtin_init.bash12
-rw-r--r--paludis/repositories/e/ebuild/0/builtin_initmisc.bash8
-rw-r--r--paludis/repositories/e/ebuild/0/builtin_killold.bash8
-rw-r--r--paludis/repositories/e/ebuild/0/builtin_killoldmisc.bash8
-rw-r--r--paludis/repositories/e/ebuild/0/builtin_tidyup.bash18
-rw-r--r--paludis/repositories/e/ebuild/0/builtin_tidyupmisc.bash15
-rw-r--r--paludis/repositories/e/ebuild/exheres-0/builtin_init.bash12
-rw-r--r--paludis/repositories/e/ebuild/exheres-0/builtin_initmisc.bash8
-rw-r--r--paludis/repositories/e/ebuild/exheres-0/builtin_killold.bash8
-rw-r--r--paludis/repositories/e/ebuild/exheres-0/builtin_killoldmisc.bash6
-rw-r--r--paludis/repositories/e/ebuild/exheres-0/builtin_tidyup.bash18
-rw-r--r--paludis/repositories/e/ebuild/exheres-0/builtin_tidyupmisc.bash15
12 files changed, 81 insertions, 55 deletions
diff --git a/paludis/repositories/e/ebuild/0/builtin_init.bash b/paludis/repositories/e/ebuild/0/builtin_init.bash
index 3e33b0ad2..3f62989f8 100644
--- a/paludis/repositories/e/ebuild/0/builtin_init.bash
+++ b/paludis/repositories/e/ebuild/0/builtin_init.bash
@@ -52,24 +52,24 @@ builtin_init()
fi
done
- if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}" ]] ; then
+ if [[ -e "${PALUDIS_PACKAGE_BUILDDIR}" ]] ; then
if type -p chflags &>/dev/null; then
- chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}" || die "Couldn't remove flags from workdir"
+ chflags -R 0 "${PALUDIS_PACKAGE_BUILDDIR}" || die "Couldn't remove flags from workdir"
fi
- rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}" || die "Couldn't remove previous work"
+ rm -fr "${PALUDIS_PACKAGE_BUILDDIR}" || die "Couldn't remove previous work"
fi
- export WORKDIR="${PALUDIS_TMPDIR}/${CATEGORY}-${PF}/work"
+ export WORKDIR="${PALUDIS_PACKAGE_BUILDDIR}/work"
mkdir -p "${WORKDIR}" || die "Couldn't create \$WORKDIR (\"${WORKDIR}\")"
declare -r WORKDIR="${WORKDIR}"
- export T="${PALUDIS_TMPDIR}/${CATEGORY}-${PF}/temp/"
+ export T="${PALUDIS_PACKAGE_BUILDDIR}/temp/"
mkdir -p "${T}" || die "Couldn't create \$T (\"${T}\")"
declare -r T="${T}"
export HOME="${T}"
export TMPDIR="${T}"
- export D="${PALUDIS_TMPDIR}/${CATEGORY}-${PF}/image/"
+ export D="${PALUDIS_PACKAGE_BUILDDIR}/image/"
export D="${D//+(\/)//}"
mkdir -p "${D}" || die "Couldn't create \$D (\"${D}\")"
declare -r D="${D}"
diff --git a/paludis/repositories/e/ebuild/0/builtin_initmisc.bash b/paludis/repositories/e/ebuild/0/builtin_initmisc.bash
index 4c56042aa..720816a63 100644
--- a/paludis/repositories/e/ebuild/0/builtin_initmisc.bash
+++ b/paludis/repositories/e/ebuild/0/builtin_initmisc.bash
@@ -52,14 +52,14 @@ builtin_initmisc()
fi
done
- if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-misc" ]] ; then
+ if [[ -e "${PALUDIS_PACKAGE_BUILDDIR}" ]] ; then
if type -p chflags &>/dev/null; then
- chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-misc" || die "Couldn't remove flags from workdir"
+ chflags -R 0 "${PALUDIS_PACKAGE_BUILDDIR}" || die "Couldn't remove flags from workdir"
fi
- rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-misc" || die "Couldn't remove previous work"
+ rm -fr "${PALUDIS_PACKAGE_BUILDDIR}" || die "Couldn't remove previous work"
fi
- export T="${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-misc/temp/"
+ export T="${PALUDIS_PACKAGE_BUILDDIR}"
mkdir -p "${T}" || die "Couldn't create \$T (\"${T}\")"
declare -r T="${T}"
export HOME="${T}"
diff --git a/paludis/repositories/e/ebuild/0/builtin_killold.bash b/paludis/repositories/e/ebuild/0/builtin_killold.bash
index a528a3a63..3c27522f1 100644
--- a/paludis/repositories/e/ebuild/0/builtin_killold.bash
+++ b/paludis/repositories/e/ebuild/0/builtin_killold.bash
@@ -19,15 +19,15 @@
builtin_killold()
{
local a
- for a in PF CATEGORY PALUDIS_TMPDIR ; do
+ for a in PALUDIS_PACKAGE_BUILDDIR ; do
[[ -z "${!a}" ]] && die "\$${a} unset or empty"
done
- if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}" ]] ; then
+ if [[ -e "${PALUDIS_PACKAGE_BUILDDIR}" ]] ; then
if type -p chflags &>/dev/null; then
- chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}" || die "Couldn't remove flags from workdir"
+ chflags -R 0 "${PALUDIS_PACKAGE_BUILDDIR}" || die "Couldn't remove flags from workdir"
fi
- rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}" || die "Couldn't remove previous work"
+ rm -fr "${PALUDIS_PACKAGE_BUILDDIR}" || die "Couldn't remove previous work"
fi
}
diff --git a/paludis/repositories/e/ebuild/0/builtin_killoldmisc.bash b/paludis/repositories/e/ebuild/0/builtin_killoldmisc.bash
index 4f4896581..7f9e960b7 100644
--- a/paludis/repositories/e/ebuild/0/builtin_killoldmisc.bash
+++ b/paludis/repositories/e/ebuild/0/builtin_killoldmisc.bash
@@ -19,15 +19,15 @@
builtin_killoldmisc()
{
local a
- for a in PF CATEGORY PALUDIS_TMPDIR ; do
+ for a in PALUDIS_PACKAGE_BUILDDIR ; do
[[ -z "${!a}" ]] && die "\$${a} unset or empty"
done
- if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-misc" ]] ; then
+ if [[ -e "${PALUDIS_PACKAGE_BUILDDIR}" ]] ; then
if type -p chflags &>/dev/null; then
- chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-misc" || die "Couldn't remove flags from workdir"
+ chflags -R 0 "${PALUDIS_PACKAGE_BUILDDIR}" || die "Couldn't remove flags from workdir"
fi
- rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-misc" || die "Couldn't remove previous work"
+ rm -fr "${PALUDIS_PACKAGE_BUILDDIR}" || die "Couldn't remove previous work"
fi
}
diff --git a/paludis/repositories/e/ebuild/0/builtin_tidyup.bash b/paludis/repositories/e/ebuild/0/builtin_tidyup.bash
index 1c52d54a3..42ebbf635 100644
--- a/paludis/repositories/e/ebuild/0/builtin_tidyup.bash
+++ b/paludis/repositories/e/ebuild/0/builtin_tidyup.bash
@@ -18,13 +18,21 @@
builtin_tidyup()
{
- if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}" ]] ; then
+ if [[ -z ${PALUDIS_PACKAGE_BUILDDIR} ]]; then
+ local a
+ for a in PALUDIS_TMPDIR CATEGORY PF ; do
+ [[ -z "${!a}" ]] && die "\$${a} unset or empty"
+ done
+ PALUDIS_PACKAGE_BUILDDIR=${PALUDIS_TMPDIR}/${CATEGORY}-${PF}
+ fi
+
+ if [[ -e "${PALUDIS_PACKAGE_BUILDDIR}" ]] ; then
if type -p chflags &>/dev/null; then
- echo chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}" 1>&2
- chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}" || die "Couldn't remove flags from workdir"
+ echo chflags -R 0 "${PALUDIS_PACKAGE_BUILDDIR}" 1>&2
+ chflags -R 0 "${PALUDIS_PACKAGE_BUILDDIR}" || die "Couldn't remove flags from workdir"
fi
- echo rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}" 1>&2
- rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}" || die "Couldn't remove work"
+ echo rm -fr "${PALUDIS_PACKAGE_BUILDDIR}" 1>&2
+ rm -fr "${PALUDIS_PACKAGE_BUILDDIR}" || die "Couldn't remove work"
fi
}
diff --git a/paludis/repositories/e/ebuild/0/builtin_tidyupmisc.bash b/paludis/repositories/e/ebuild/0/builtin_tidyupmisc.bash
index 8d83ee337..934542d3b 100644
--- a/paludis/repositories/e/ebuild/0/builtin_tidyupmisc.bash
+++ b/paludis/repositories/e/ebuild/0/builtin_tidyupmisc.bash
@@ -18,13 +18,18 @@
builtin_tidyupmisc()
{
- if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-misc" ]] ; then
+ local a
+ for a in PALUDIS_PACKAGE_BUILDDIR ; do
+ [[ -z "${!a}" ]] && die "\$${a} unset or empty"
+ done
+
+ if [[ -e "${PALUDIS_PACKAGE_BUILDDIR}" ]] ; then
if type -p chflags &>/dev/null; then
- echo chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-misc" 1>&2
- chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-misc" || die "Couldn't remove flags from workdir"
+ echo chflags -R 0 "${PALUDIS_PACKAGE_BUILDDIR}" 1>&2
+ chflags -R 0 "${PALUDIS_PACKAGE_BUILDDIR}" || die "Couldn't remove flags from workdir"
fi
- echo rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-misc" 1>&2
- rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-misc" || die "Couldn't remove work"
+ echo rm -fr "${PALUDIS_PACKAGE_BUILDDIR}" 1>&2
+ rm -fr "${PALUDIS_PACKAGE_BUILDDIR}" || die "Couldn't remove work"
fi
}
diff --git a/paludis/repositories/e/ebuild/exheres-0/builtin_init.bash b/paludis/repositories/e/ebuild/exheres-0/builtin_init.bash
index 6f50c5e14..45126e76a 100644
--- a/paludis/repositories/e/ebuild/exheres-0/builtin_init.bash
+++ b/paludis/repositories/e/ebuild/exheres-0/builtin_init.bash
@@ -52,24 +52,24 @@ builtin_init()
fi
done
- if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR}" ]] ; then
+ if [[ -e "${PALUDIS_PACKAGE_BUILDDIR}" ]] ; then
if type -p chflags &>/dev/null; then
- chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR}" || die "Couldn't remove flags from workdir"
+ chflags -R 0 "${PALUDIS_PACKAGE_BUILDDIR}" || die "Couldn't remove flags from workdir"
fi
- rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR}" || die "Couldn't remove previous work"
+ rm -fr "${PALUDIS_PACKAGE_BUILDDIR}" || die "Couldn't remove previous work"
fi
- export WORKBASE="${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR}/work"
+ export WORKBASE="${PALUDIS_PACKAGE_BUILDDIR}/work"
mkdir -p "${WORKBASE}" || die "Couldn't create \$WORKBASE (\"${WORKBASE}\")"
declare -r WORKBASE="${WORKBASE}"
- export TEMP="${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR}/temp/"
+ export TEMP="${PALUDIS_PACKAGE_BUILDDIR}/temp/"
mkdir -p "${TEMP}" || die "Couldn't create \$TEMP (\"${TEMP}\")"
declare -r TEMP="${TEMP}"
export HOME="${TEMP}"
export TMPDIR="${TEMP}"
- export IMAGE="${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR}/image/"
+ export IMAGE="${PALUDIS_PACKAGE_BUILDDIR}/image/"
export IMAGE="${IMAGE//+(\/)//}"
mkdir -p "${IMAGE}" || die "Couldn't create \$IMAGE (\"${IMAGE}\")"
declare -r IMAGE="${IMAGE}"
diff --git a/paludis/repositories/e/ebuild/exheres-0/builtin_initmisc.bash b/paludis/repositories/e/ebuild/exheres-0/builtin_initmisc.bash
index 2555f6bb1..17ba0e117 100644
--- a/paludis/repositories/e/ebuild/exheres-0/builtin_initmisc.bash
+++ b/paludis/repositories/e/ebuild/exheres-0/builtin_initmisc.bash
@@ -52,14 +52,14 @@ builtin_initmisc()
fi
done
- if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR}-misc" ]] ; then
+ if [[ -e "${PALUDIS_PACKAGE_BUILDDIR}" ]] ; then
if type -p chflags &>/dev/null; then
- chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR}-misc" || die "Couldn't remove flags from workdir"
+ chflags -R 0 "${PALUDIS_PACKAGE_BUILDDIR}" || die "Couldn't remove flags from workdir"
fi
- rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR}-misc" || die "Couldn't remove previous work"
+ rm -fr "${PALUDIS_PACKAGE_BUILDDIR}" || die "Couldn't remove previous work"
fi
- export TEMP="${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR}-misc/temp/"
+ export TEMP="${PALUDIS_PACKAGE_BUILDDIR}/temp/"
mkdir -p "${TEMP}" || die "Couldn't create \$TEMP (\"${TEMP}\")"
declare -r TEMP="${TEMP}"
export HOME="${TEMP}"
diff --git a/paludis/repositories/e/ebuild/exheres-0/builtin_killold.bash b/paludis/repositories/e/ebuild/exheres-0/builtin_killold.bash
index b1f5fb05e..c25febc8f 100644
--- a/paludis/repositories/e/ebuild/exheres-0/builtin_killold.bash
+++ b/paludis/repositories/e/ebuild/exheres-0/builtin_killold.bash
@@ -19,15 +19,15 @@
builtin_killold()
{
local a
- for a in PNVR CATEGORY PALUDIS_TMPDIR ; do
+ for a in PALUDIS_PACKAGE_BUILDDIR ; do
[[ -z "${!a}" ]] && die "\$${a} unset or empty"
done
- if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR}" ]] ; then
+ if [[ -e "${PALUDIS_PACKAGE_BUILDDIR}" ]] ; then
if type -p chflags &>/dev/null; then
- chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR}" || die "Couldn't remove flags from workdir"
+ chflags -R 0 "${PALUDIS_PACKAGE_BUILDDIR}" || die "Couldn't remove flags from workdir"
fi
- rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR}" || die "Couldn't remove previous work"
+ rm -fr "${PALUDIS_PACKAGE_BUILDDIR}" || die "Couldn't remove previous work"
fi
}
diff --git a/paludis/repositories/e/ebuild/exheres-0/builtin_killoldmisc.bash b/paludis/repositories/e/ebuild/exheres-0/builtin_killoldmisc.bash
index ccfe627d2..ad233e666 100644
--- a/paludis/repositories/e/ebuild/exheres-0/builtin_killoldmisc.bash
+++ b/paludis/repositories/e/ebuild/exheres-0/builtin_killoldmisc.bash
@@ -23,11 +23,11 @@ builtin_killoldmisc()
[[ -z "${!a}" ]] && die "\$${a} unset or empty"
done
- if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR}-misc" ]] ; then
+ if [[ -e "${PALUDIS_PACKAGE_BUILDDIR}" ]] ; then
if type -p chflags &>/dev/null; then
- chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR}-misc" || die "Couldn't remove flags from workdir"
+ chflags -R 0 "${PALUDIS_PACKAGE_BUILDDIR}" || die "Couldn't remove flags from workdir"
fi
- rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR}-misc" || die "Couldn't remove previous work"
+ rm -fr "${PALUDIS_PACKAGE_BUILDDIR}" || die "Couldn't remove previous work"
fi
}
diff --git a/paludis/repositories/e/ebuild/exheres-0/builtin_tidyup.bash b/paludis/repositories/e/ebuild/exheres-0/builtin_tidyup.bash
index f6409c9ec..6e483a757 100644
--- a/paludis/repositories/e/ebuild/exheres-0/builtin_tidyup.bash
+++ b/paludis/repositories/e/ebuild/exheres-0/builtin_tidyup.bash
@@ -18,13 +18,21 @@
builtin_tidyup()
{
- if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR}" ]] ; then
+ if [[ -z ${PALUDIS_PACKAGE_BUILDDIR} ]]; then
+ local a
+ for a in PALUDIS_TMPDIR CATEGORY PF ; do
+ [[ -z "${!a}" ]] && die "\$${a} unset or empty"
+ done
+ PALUDIS_PACKAGE_BUILDDIR=${PALUDIS_TMPDIR}/${CATEGORY}-${PF}
+ fi
+
+ if [[ -e "${PALUDIS_PACKAGE_BUILDDIR}" ]] ; then
if type -p chflags &>/dev/null; then
- echo chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR}" 1>&2
- chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR}" || die "Couldn't remove flags from workdir"
+ echo chflags -R 0 "${PALUDIS_PACKAGE_BUILDDIR}" 1>&2
+ chflags -R 0 "${PALUDIS_PACKAGE_BUILDDIR}" || die "Couldn't remove flags from workdir"
fi
- echo rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR}" 1>&2
- rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR}" || die "Couldn't remove work"
+ echo rm -fr "${PALUDIS_PACKAGE_BUILDDIR}" 1>&2
+ rm -fr "${PALUDIS_PACKAGE_BUILDDIR}" || die "Couldn't remove work"
fi
}
diff --git a/paludis/repositories/e/ebuild/exheres-0/builtin_tidyupmisc.bash b/paludis/repositories/e/ebuild/exheres-0/builtin_tidyupmisc.bash
index c69e4730e..ae7a6205c 100644
--- a/paludis/repositories/e/ebuild/exheres-0/builtin_tidyupmisc.bash
+++ b/paludis/repositories/e/ebuild/exheres-0/builtin_tidyupmisc.bash
@@ -18,13 +18,18 @@
builtin_tidyupmisc()
{
- if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR}-misc" ]] ; then
+ local a
+ for a in PALUDIS_PACKAGE_BUILDDIR ; do
+ [[ -z "${!a}" ]] && die "\$${a} unset or empty"
+ done
+
+ if [[ -e "${PALUDIS_PACKAGE_BUILDDIR}" ]] ; then
if type -p chflags &>/dev/null; then
- echo chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR}-misc" 1>&2
- chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR}-misc" || die "Couldn't remove flags from workdir"
+ echo chflags -R 0 "${PALUDIS_PACKAGE_BUILDDIR}" 1>&2
+ chflags -R 0 "${PALUDIS_PACKAGE_BUILDDIR}" || die "Couldn't remove flags from workdir"
fi
- echo rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR}-misc" 1>&2
- rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR}-misc" || die "Couldn't remove work"
+ echo rm -fr "${PALUDIS_PACKAGE_BUILDDIR}" 1>&2
+ rm -fr "${PALUDIS_PACKAGE_BUILDDIR}" || die "Couldn't remove work"
fi
}